Bug 239763 - In virt-manager GUI, when the disk is added, VM cannot be started.
Summary: In virt-manager GUI, when the disk is added, VM cannot be started.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Hugh Brock
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-11 05:58 UTC by Masayuki Sunou
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 21:13:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Masayuki Sunou 2007-05-11 05:58:57 UTC
Description of problem:
Disk (physical partition) is added to active Para VM with virt-manager GUI. 
Next, Para VM is shutted down. 
Afterwards, if Para VM is started, it becomes an error. 

Version-Release number of selected component (if applicable):
changeset:489:95ca7c8f3261

How reproducible:
always

Steps to Reproduce:
1.Para VM is started.
2.Disk (physival partition) is added to Para VM with virt-manager.
3.Para VM is shutted down. 
4.Para VM is started again.
  
Actual results:
Error message is displayed, and VM cannot be started.
----------------------------------------------------------------------
libvir: Xen Daemon error : POST operation failed: (xend.err 'Device xvdb (51728,
vbd) is already connected.')
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/manager.py", line 693, in start_vm
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 361, in startup
    self.vm.create()
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 194, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirt.libvirtError: virDomainCreate() failed POST operation failed: (xend.err
'Device xvdb (51728, vbd) is already connected.')
----------------------------------------------------------------------

Expected results:
Error message is not displayed, and VM can be started. 


Additional info:

Comment 1 Hugh Brock 2007-06-13 19:11:06 UTC
Fixed with your patch at
http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=ebd54b0c882a
. Thanks! We will close when the patch is included in a new release.

Comment 2 Red Hat Bugzilla 2007-07-25 02:11:35 UTC
change QA contact

Comment 3 Daniel Berrange 2007-09-27 21:13:53 UTC
This is fixed in Fedora in virt-manager-0.4.0-2.fc7 or later.



Note You need to log in before you can comment on or make changes to this bug.